Qyra
ReferenceUntagged

Get Deep Research run

Get the durable state and result of a Deep Research run.

GET/api/v1/ee/projects/{projectUuid}/ai-deep-research/{aiDeepResearchRunUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
aiDeepResearchRunUuidstringYes

Responses

200 — Success

{
  "results": {
    "completedAt": "string",
    "startedAt": "string",
    "updatedAt": "string",
    "createdAt": "string",
    "cancellationRequestedAt": "string",
    "errorMessage": "string",
    "metrics": {
      "chartCount": 0,
      "findingsCount": 0,
      "warehouseQueryCount": 0,
      "toolErrorCount": 0,
      "toolCallCount": 0,
      "tokenUsageComplete": true,
      "totalTokens": 0,
      "reasoningTokens": 0,
      "cacheWriteTokens": 0,
      "cacheReadTokens": 0,
      "outputTokens": 0,
      "inputTokens": 0,
      "durationMs": 0
    },
    "executionContextSnapshot": {
      "effectivePermissions": {
        "autoApproveSql": true,
        "canUseSelfImprovementTools": true,
        "canUseContentTools": true,
        "canUseDataTools": true,
        "canRunSql": true,
        "canManageAgent": true
      },
      "repository": {
        "availableSkillNames": [
          "string"
        ],
        "repoFsSupportsCodeSearch": true,
        "repoFsRoot": "string",
        "repoDiscoveryEnabled": true,
        "previewDeploySetupEnabled": true,
        "codingAgentEnabled": true,
        "aiWritebackEnabled": true,
        "projectContextEnabled": true
      },
      "knowledgeDocuments": [
        {
          "alwaysIncludeInContext": true,
          "updatedAt": "string",
          "name": "string",
          "uuid": "string"
        }
      ],
      "tools": {
        "attachedMcpServers": [
          {
            "enabledToolNames": [
              "string"
            ],
            "name": "string",
            "uuid": "string"
          }
        ],
        "availableToolNames": [
          "string"
        ]
      },
      "model": {
        "keyManagement": "qyra-managed",
        "reasoningEnabled": true,
        "modelName": "string",
        "provider": "string"
      },
      "agent": {
        "enableUserContext": true,
        "enableContentTools": true,
        "enableSelfImprovement": true,
        "enableDataAccess": true,
        "spaceAccess": [
          "string"
        ],
        "tags": [
          "string"
        ],
        "hasInstruction": true,
        "updatedAt": "string",
        "version": 0,
        "name": "string",
        "uuid": "string"
      },
      "capturedAt": "string",
      "resolutionStage": "preflight",
      "schemaVersion": 1
    },
    "budget": {
      "deadlineMs": 0,
      "maxWarehouseQueries": 0,
      "maxToolCalls": 0,
      "maxSteps": 0,
      "maxTokens": 0,
      "maxResultRows": 0
    },
    "isReportExpired": true,
    "reportExpiredAt": "string",
    "reportExpiresAt": "string",
    "resultMarkdown": "string",
    "terminalReason": {},
    "status": "queued",
    "prompt": "string",
    "entryPoint": "homepage",
    "resumedFromRunUuid": "string",
    "promptUuid": "string",
    "aiThreadUuid": "string",
    "agentUuid": "string",
    "projectUuid": "string",
    "aiDeepResearchRunUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}